# build: docker build -f dockerfile.debian.stretch -t stretch.build .
# run: docker run -v e:/develop:/develop -it stretch.build bash
FROM debian:stretch

RUN apt-get -qq update && apt-get install --fix-missing -y python-pip python-dev build-essential git autoconf automake libtool pkg-config qt4-qmake fftw3-dev libgdcm2-dev libbz2-dev liblzma-dev libavcodec-dev libavcodec-extra libavdevice-dev libavformat-dev libavresample-dev libavutil-dev libpostproc-dev libswresample-dev libswscale-dev libhdf5-dev libgdcm2-dev libraw-dev libjpeg62-turbo-dev libpng-dev libopenjp2-7-dev libtiff-dev libtiff5-dev libtiffxx5 python-pip python-dev libopenslide-dev libexiv2-dev libgeotiff-dev libproj-dev libpugixml-dev libwebp-dev liblcms2-dev libopenjp2-7-dev

RUN apt-get install --fix-missing -y libglib2.0-dev libcairo2-dev libgdk-pixbuf2.0-dev libxml2-dev libsqlite3-dev

RUN pip install --upgrade pip && pip install --upgrade virtualenv && pip install pytz && pip install python-dateutil

# add python 3
RUN apt-get -qq update && apt-get install --fix-missing -y python3-dev python3-pip
RUN pip3 install --upgrade pip && pip3 install --upgrade virtualenv && pip3 install pytz python-dateutil future
